Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.multimedia_messaging.send
Class SendMessageClient

    java.lang.Object
      oracle.sdp.parlayx.multimedia_messaging.send.SendMessageClient

    public class SendMessageClient

extends Object

Constructor Summary
`SendMessageClient()`
`SendMessageClient(String assertedId)`

Method Summary
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`boolean` | `getMaintainSession()`
`org.csapi.schema.parlayx.multimedia_messaging.v2_4.DeliveryInformation[]` | `getMessageDeliveryStatus(String requestIdentifier)` The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain.
`String` | `getPassword()`
`oracle.sdp.parlayx.multimedia_messaging.send.SendMessage` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`String` | `getUsername()`
`String` | `sendMessage(URI[] addresses, String senderAddress, String subject, org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessagePriority priority, org.csapi.schema.parlayx.common.v2_1.ChargingInformation charging, org.csapi.schema.parlayx.common.v2_1.SimpleReference receiptRequest)` Implemented according to the Parlay X 2.1 specification section 8.1.1.
`void` | `setAttachment(javax.activation.DataHandler content, javax.xml.soap.MimeHeaders headers)` Set attachment content to send.
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendMessageClient

    public SendMessageClient()
                      throws Exception

Throws:
  `Exception`

### SendMessageClient

    public SendMessageClient(String assertedId)
                      throws Exception

Throws:
  `Exception`

Method Detail

### setAttachment

    public void setAttachment(javax.activation.DataHandler content,
                              javax.xml.soap.MimeHeaders headers)

  Set attachment content to send. The content should be set before calling sendMessage(). The attached content will be attached to the outgoing message, then cleared, each time sendMessage() is sent. The content must be passed wrapped in a javax.activation.DataHandler, and must be one of the following types:
  - Text content in the form of a String
  - Binary content in the form of a byte[]
  - A javax.mail.internet.MimeMultipart object
  For example:

       StringDataSource ds = new StringDataSource(String text, "text/plain");
       DataHandler dh = new DataHandler(ds);
       setAttachment(dh, dh.getContentType(), null);

  Parameters:
    `input` - The content object, as describe above.
    `contentType` - The desired MIME Content-Type for the message.
    `headers` - Any additional MIME headers to be supplied with the content.

### sendMessage

    public String sendMessage(URI[] addresses,
                              String senderAddress,
                              String subject,
                              org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessagePriority priority,
                              org.csapi.schema.parlayx.common.v2_1.ChargingInformation charging,
                              org.csapi.schema.parlayx.common.v2_1.SimpleReference receiptRequest)
                       throws RemoteException,
                              org.csapi.schema.parlayx.common.v2_1.ServiceException,
                              org.csapi.schema.parlayx.common.v2_1.PolicyException

  Implemented according to the Parlay X 2.1 specification section 8.1.1. The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain. When communicating with a SIP messaging endpoint, the following exceptions/clarifications apply:
  - the requestIdentifier returned should NOT be used to poll for message status using the getMessageDeliveryStatus method because this implementation does NOT implement the getMessageDeliveryStatus method. Instead, pass in a valid SimpleReference object to the sendMessage method in order to get a notification of the delivery status once it is available for each of the target URIs.
  - the senderAddress, priority and charging parameters are presently ignored.
  - group URLs are not supported
  - if the caller of this method includes an attachment in the SOAP context, then that attachment is presumed to contain the body of the message, in which case the subject parameter is ignored; the raw contents of the attachment (bytes) are sent to the target URIs. If, however, the caller does not include a SOAP attachment, then it is presumed that the subject parameter consists of the whole message therefore a SIP message with content type text/plain is sent to the target recepients.

  Parameters:
    `addresses` - See description.
    `senderAddress` - See description.
    `subject` - See description.
    `priority` - See description.
    `charging` - See description.
    `receiptRequest` - See description.
  Returns:
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### getMessageDeliveryStatus

    public org.csapi.schema.parlayx.multimedia_messaging.v2_4.DeliveryInformation[] getMessageDeliveryStatus(String requestIdentifier)
                                                                                                      throws RemoteException,
                                                                                                             org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                                                                                             org.csapi.schema.parlayx.common.v2_1.PolicyException

  The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain. When communicating with a SIP messaging endpoint, the following exceptions/clarifications apply: This method is not supported in this implementation, and will always throw a ServiceException with code SVC0001. To get the delivery status on a sent message, call the sendMessage method with a valid SimpleReference pointing to the notification endpoint which will be invoked for each of the target URIs.

  Parameters:
    `requestIdentifier` -
  Returns:
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### getPort

    public oracle.sdp.parlayx.multimedia_messaging.send.SendMessage getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.